# Android makefile for ffmpeg libavformat

LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

include $(LOCAL_PATH)/../ffmpeg.mk

LOCAL_MODULE    := libavformat

LOCAL_C_INCLUDES :=		\
	$(LOCAL_PATH)		\
	$(LOCAL_PATH)/..

LOCAL_PATH := $(call my-dir)/Sources/libavformat

#### COMMONS #####

LOCAL_SRC_FILES := allformats.c cutils.c id3v1.c id3v2.c metadata.c metadata_compat.c options.c os_support.c sdp.c seek.c utils.c

#### DEMUXERS #####

# AAC
LOCAL_SRC_FILES += aacdec.c rawdec.c

# ASF
LOCAL_SRC_FILES += asfdec.c asf.c asfcrypt.c riff.c avlanguage.c

# MOV
LOCAL_SRC_FILES += mov.c riff.c isom.c

# RM
LOCAL_SRC_FILES += rmdec.c rm.c

# MP3
LOCAL_SRC_FILES += mp3.c

# M4V
LOCAL_SRC_FILES += m4vdec.c rawdec.c

# WAV
LOCAL_SRC_FILES += wav.c riff.c pcm.c

# OGG
LOCAL_SRC_FILES += oggdec.c oggparsedirac.c oggparseflac.c oggparseogm.c oggparseskeleton.c oggparsespeex.c oggparsetheora.c oggparsevorbis.c riff.c vorbiscomment.c

#### PROTOCOLS I/O #####

LOCAL_SRC_FILES += avio.c aviobuf.c utils.c

LOCAL_CFLAGS += $(FFCFLAGS) -I$(LOCAL_PATH) -I$(LOCAL_PATH)/..
LOCAL_CFLAGS += -include "string.h"

LOCAL_STATIC_LIBRARIES := $(FFMPEG_LIBS)

include $(BUILD_STATIC_LIBRARY)

