/*=============================================================================
* Copyright (c) 2008-2009, BARACODA MEDIA
* All Rights Reserved
*
*
* The copyright notice above does not evidence any
* actual or intended publication of such source code.
===============================================================================
* Description:
*     PhoenixAudioPlayer Listener Java API
*
===============================================================================
*
*     Created By    : Tarik Litim
*     Creation Date : 26/05/2010
*     Version       : 1.0
*
*	  $LastChangedDate$
*     $LastChangedBy$
*     $LastChangedRevision$
*
*     $Id$
*
===============================================================================
* History
*     1.0    26/05/2010   Component creation
*     1.1    15/03/2011   API Update
==============================================================================*/

package com.baracodamedia.phaudioplayer.api;

/** 
 * Network status events type.
 * Enumerator that describes the current network status.
 */
enum PhAPlayNetworkEvtType{
	phapnsConnecting, /**< Connecting. */
	phapnsFailed, /**< Failed. */
	phapnsConnected, /**< Connected. */
	phapnsTimeout, /**< Timeout. */
	phapnsDisconnected, /**< Disconnected. */
	phapnsUnsupportedProtocol, /**< Error: Unsupported transport protocol. */
	phapnsDownloading, /**< Downloading. */
	phapnsFailedParsingUrl, /**< Error: parsing the URI. */
	phapnsHostNotFound, /** Error: Host not found. */
	phapnsUnsupportedPlaylistUrl, /** Error: Unsupported playlist parsing. */
	phapnsHostDenied, /** Error: Host denied connection. */
	phapnsUnsupportedContent /** Error: Unsupported server content. */
};

/** 
 * Audio player status events type.
 * Enumerator that describes the current audio player status.
 */
enum PhAPlayEvtType{
	phapsBuffering, /**< Buffering. */
	phapsPlay, /**< Playing. */
	phapsStop, /**< Stopped. */
	phapsSeek, /**< Seeking. */
	phapsPause, /**< Pausing. */
	phapsError, /**< Error. */
	phapsUnsupportedFormat, /**< Unsupported format.  */
	phapsSync /**< Synching.  */
};

public interface phaudioplayerlistener
{    
    
    /*
     * Listeners
     */
    public void OnNetworkEvent(PhAPlayNetworkEvtType ANetworkStatus);
    
    public void OnPlayEvent(PhAPlayEvtType APlayStatus);

    public void OnPlayMediaInfoEvent(String Codec, String Title, String Access, int Channels, int Bitrate, 
    		int SampleRate, int StartPosition, int Duration, int FileSize);
    
    public void OnBufferLevelEvent(int ABufferPercentLvl, int APreBufferPercentLvl);
    
}
