/*
 * Phoenix Audio Player test application
 * Tarik Litim (tarik.litim@baracoda.com)
 */

package com.baracodamedia.phaudioplayer.test;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;

public class phaptest extends Activity {
	/** Called when the activity is first created. */

	private Intent phoenixPlayerServiceintent;
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		TextView tv = new TextView(this);
		tv.setText("Launching audio player demo...");
		setContentView(tv);
		
		//android.os.Process.setThreadPriority(android.os.Process.THREAD_PRIORITY_URGENT_AUDIO);

		phoenixPlayerServiceintent = new Intent(phaptest.this, PhoenixPlayerService.class);
		startService(phoenixPlayerServiceintent);

		tv.setText("Audio demo started!");
		setContentView(tv);
	}
	
	@Override
	protected void onDestroy(){
		stopService(phoenixPlayerServiceintent);
		super.onDestroy();
	}
	
	public boolean onKeyDown(int keyCode, KeyEvent event) {
	
		return super.onKeyDown(keyCode, event);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {

		menu.add(0, 0, 0, "play");
		menu.add(0, 1, 0, "stop");
		menu.add(0, 2, 0, "pause");
		menu.add(0, 3, 0, "quit");
		return true;
	}

	/**
	 * Handles item selections, has to pass everything to controller (the switch
	 * loop)
	 * 
	 */
	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		
		switch (item.getItemId()){
		
		case 0://play
			if (PhoenixPlayerService.instance != null){
				PhoenixPlayerService phoenixPlayerService = PhoenixPlayerService.instance;
				phoenixPlayerService.play();
			}
			break;
		case 1://stop
			if (PhoenixPlayerService.instance != null){
				PhoenixPlayerService phoenixPlayerService = PhoenixPlayerService.instance;
				phoenixPlayerService.stop();
			}
			break;
		case 2://pause
			if (PhoenixPlayerService.instance != null){
				PhoenixPlayerService phoenixPlayerService = PhoenixPlayerService.instance;
				phoenixPlayerService.pause();
			}
			break;
		case 3://quit
			finish();
			break;
		}
		return true;
	}
}



