#!/bin/sh

ANDROID_NDK_ROOT_PATH=/Users/esle7566/Developpement/Liveradio-iPhone/android-FLOSS/android-ndk-r3

ANDROID_NDK_TOOLCHAIN_PATH=$ANDROID_NDK_ROOT_PATH/build/prebuilt/darwin-x86/arm-eabi-4.4.0
ANDROID_NDK_TOOLCHAIN_LIB_PATH=$ANDROID_NDK_ROOT_PATH/build/platforms/android-5/arch-arm/usr/lib
ANDROID_NDK_CC=$ANDROID_NDK_TOOLCHAIN_PATH/bin/arm-eabi-gcc
ANDROID_NDK_NM=$ANDROID_NDK_TOOLCHAIN_PATH/bin/arm-eabi-nm
ANDROID_NDK_CROSS_PREFIX=$ANDROID_NDK_TOOLCHAIN_PATH/bin/arm-eabi-

echo "Configuring FFMPEG for Android NDK..."
cd ffmpeg-rev26068
./configure --arch=arm --target-os=linux --cc=$ANDROID_NDK_CC --cross-prefix=$ANDROID_NDK_CROSS_PREFIX --nm=$ANDROID_NDK_NM --enable-cross-compile \
--extra-cflags="-fPIC -DANDROID" --enable-static --disable-shared --prefix=../Bin/Android \
--disable-debug --disable-pthreads --disable-network --disable-zlib --disable-mpegaudio-hp --disable-doc --disable-ffprobe --disable-ffmpeg --disable-ffserver \
--disable-ffplay --disable-encoders --disable-decoders --disable-devices --disable-muxers --disable-demuxers --disable-parsers \
--disable-protocols --disable-bsfs --disable-filters --disable-mmx \
--enable-decoder=cook --enable-decoder=mp3 --enable-decoder=mp3adu --enable-decoder=mp3on4 --enable-decoder=ra_144 \
--enable-decoder=ra_288 --enable-decoder=wmav1 --enable-decoder=wmav2 --enable-decoder=wmapro --enable-decoder=wmavoice \
--enable-decoder=aac --enable-decoder=aac_latm --enable-decoder=mpeg4 --enable-decoder=svq3 --enable-decoder=vorbis \
--enable-demuxer=asf --enable-demuxer=m4v --enable-demuxer=aac --enable-demuxer=mov --enable-demuxer=mp3 --enable-demuxer=rm --enable-demuxer=wav --enable-demuxer=ogg \
--enable-parser=aac --enable-parser=aac_latm --enable-parser=mpegaudio --enable-parser=h264 \
--enable-bsf=aac_adtstoasc \
--enable-stripping --enable-optimizations \
--extra-ldflags="-Wl,-T,$ANDROID_NDK_TOOLCHAIN_PATH/arm-eabi/lib/ldscripts/armelf.x -Wl,-rpath-link=$ANDROID_NDK_TOOLCHAIN_LIB_PATH -L$ANDROID_NDK_TOOLCHAIN_LIB_PATH -nostdlib $ANDROID_NDK_TOOLCHAIN_PATH/lib/gcc/arm-eabi/4.4.0/crtbegin.o $ANDROID_NDK_TOOLCHAIN_PATH/lib/gcc/arm-eabi/4.4.0/crtend.o -lc -lm -ldl"

echo "Patching config.h..."
sed -i .bak 's/restrict restrict/restrict /g' config.h
sed -i .bak 's/HAVE_LRINT 0/HAVE_LRINT 1/g' config.h
sed -i .bak 's/HAVE_LRINTF 0/HAVE_LRINTF 1/g' config.h
sed -i .bak 's/HAVE_ROUND 0/HAVE_ROUND 1/g' config.h
sed -i .bak 's/HAVE_ROUNDF 0/HAVE_ROUNDF 1/g' config.h
sed -i .bak 's/HAVE_TRUNC 0/HAVE_TRUNC 1/g' config.h
sed -i .bak 's/HAVE_TRUNCF 0/HAVE_TRUNCF 1/g' config.h 

echo "==> DONE!"

